ServerEvents.recipes(event => {
    event.remove({ output: 'functionalstorage:ender_drawer' })
    event.remove({ output: 'functionalstorage:storage_controller' })
    event.shaped(
        Item.of('functionalstorage:storage_controller'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#forge:stone',
            B: '#forge:storage_blocks/quartz',
            C: '#functionalstorage:drawer',
            D: 'minecraft:comparator',
            E: 'kubejs:machine_frame'
        }
    )
    event.remove({ output: 'functionalstorage:framed_storage_controller' })
    event.shaped(
        Item.of('functionalstorage:framed_storage_controller'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#forge:nuggets/iron',
            B: '#forge:storage_blocks/quartz',
            C: '#functionalstorage:drawer',
            D: 'minecraft:comparator',
            E: 'kubejs:machine_frame'
        }
    )
})